Datapoints
Create a datapoint on an event
Adds a datapoint to an event. An event can be associated with multiple datapoints.
POST
/
projects
/
{project_id}
/
events
/
{event_id}
/
data_points
Create and add a datapoint to an event
curl --request POST \
--url https://app.gomangrove.com/api/v1/projects/{project_id}/events/{event_id}/data_points \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"data_point": {
"slug": "total-ash-delivered-wet-us-ton",
"value": 290.8
}
}
'import requests
url = "https://app.gomangrove.com/api/v1/projects/{project_id}/events/{event_id}/data_points"
payload = { "data_point": {
"slug": "total-ash-delivered-wet-us-ton",
"value": 290.8
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({data_point: {slug: 'total-ash-delivered-wet-us-ton', value: 290.8}})
};
fetch('https://app.gomangrove.com/api/v1/projects/{project_id}/events/{event_id}/data_points', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "in_n6MQpY00dN6bMaKi",
"slug": "total-ash-delivered-wet-us-ton",
"data_point_type": "Total Ash Delivered (wet mass) U.S. ton",
"value": 290.8,
"unit": "U.S. ton",
"status": "complete",
"rule_results": []
}"{}"""Authorizations
Path Parameters
Unique ID of event in the evt_XXXX syntax. For example: evt_DLnYvzbjSujNAvXE
Body
application/json
Show child attributes
Show child attributes
⌘I
Create and add a datapoint to an event
